---
- hosts: all
  gather_facts: false
  tasks:
    - set_fact:
        host_to_wait_for: "{{ ansible_ssh_host | default(inventory_hostname) }}"
    - debug: msg="ansible_ssh_host={{ ansible_ssh_host }}, inventory_hostname={{ inventory_hostname }}, host_to_wait_for={{ host_to_wait_for }}"
      delegate_to: localhost